<?php
namespace Modules\Fornecimento\Modules\Relatorios\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Exception;
use Doctrine\ORM\EntityManager;

class Sup01900ProdutosCotadosService {
    
    protected $connection;
    
    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }
    
    public function getFilial($params) {
        $query = "SELECT NVL(CDFILCENTCMP, CDFILIAL) AS CDFILCENTCMP FROM FILIAL WHERE (CDFILIAL = :CDFILIAL)";
    	
    	try {
        	$std = $this->connection->prepare($query);
        	$std->execute($params);
        	$result = $std->fetchAll();
    	} catch (Exception $e) {
    	    throw $e;
    	}
    	
    	return $result[0]['CDFILCENTCMP'];
    }
}